Sales Invoices Payments
Create and retrieve payment records for sales invoices.
Retrieves a paginated list of all sales invoice payments for the specified consent.
System support
Fortnox
✅ Supported
Bjorn Lunden
â›” Can't be supported
Spiris
✅ Supported
Tripletex
📞 Not supported / contact us
Visma e-conomic
✅ Supported
Billy
✅ Supported
Visma Dinero
📞 Not supported / contact us
![]()
Procountor
📞 Not supported / contact us
Visma Netvisor
📞 Not supported / contact us
Microsoft Business Central
📞 Not supported / contact us
Exact Online
📞 Not supported / contact us
![]()
QuickBooks
📞 Not supported / contact us
Xero
✅ Supported
Bokio
📞 Not supported / contact us
Kleer
📞 Not supported / contact us
DATEV
📞 Not supported / contact us
eAccounting (Norway)
✅ Supported
PowerOffice Go
📞 Not supported / contact us
Use the API key to access all API endpoints.
Identifier of the consent representing the connection to the accounting system.
Unique identifier used to correlate and trace this request.
Returns a paginated list of sales invoice payments for the specified consent.
Represents a paginated result containing metadata and a collection of items.
Missing or invalid authentication credentials.
Not authorized to access this resource.
The request was rate-limited. The response may include Retry-After and ErpError.responseHeaders with retry and quota information from the accounting system.
This operation is not supported by the connected accounting system.
GET /accounting/api/v1/consents/{consentId}/salesinvoices/payments HTTP/1.1
Host: apione.zwapgrid.com
x-api-key: YOUR_API_KEY
x-correlation-id: 123e4567-e89b-12d3-a456-426614174000
Accept: */*
{
"meta": {
"totalResources": 10,
"totalPages": 1,
"currentPage": 1
},
"data": [
{
"id": "59",
"paymentId": "59",
"reference": "PAY-59",
"receivedDate": "2022-06-01",
"paidDate": "2022-06-01",
"bookedIndicator": true,
"bookedDate": "2022-06-02",
"accountingAccount": {
"id": "5233",
"accountingAccountId": "5233",
"reference": "5233",
"standardAccountingAccountId": null,
"name": "Bank account",
"active": null,
"postable": null,
"description": {
"languageId": "ENG",
"text": "Main bank"
},
"descriptions": [
{
"languageId": "ENG",
"text": "Main bank"
}
],
"accountingAccountTypeCode": null,
"financialDimensions": []
},
"status": null,
"billingReferences": [
{
"invoiceDocumentReferences": [
{
"id": "INV-001",
"schemeId": "invoiceId"
}
]
}
],
"documentCurrencyCode": {
"currency": "DKK",
"currencyId": "DKK",
"currencyRate": 1
},
"amount": 500,
"creditAmount": {
"amount": 500,
"currencyId": "DKK"
},
"debitAmount": {
"amount": 0,
"currencyId": "DKK"
}
}
]
}Retrieves a paginated list of payments for a specific sales invoice.
System support
Fortnox
✅ Supported
Bjorn Lunden
✅ Supported
Spiris
📞 Not supported / contact us
Tripletex
📞 Not supported / contact us
Visma e-conomic
📞 Not supported / contact us
Billy
✅ Supported
Visma Dinero
✅ Supported
![]()
Procountor
✅ Supported
Visma Netvisor
📞 Not supported / contact us
Microsoft Business Central
📞 Not supported / contact us
Exact Online
📞 Not supported / contact us
![]()
QuickBooks
📞 Not supported / contact us
Xero
✅ Supported
Bokio
📞 Not supported / contact us
Kleer
📞 Not supported / contact us
DATEV
📞 Not supported / contact us
eAccounting (Norway)
📞 Not supported / contact us
PowerOffice Go
📞 Not supported / contact us
Use the API key to access all API endpoints.
Identifier of the consent representing the connection to the accounting system.
Identifier of the sales invoice.
Unique identifier used to correlate and trace this request.
Returns a paginated list of sales invoice payments for the specified consent.
Represents a paginated result containing metadata and a collection of items.
Missing or invalid authentication credentials.
Not authorized to access this resource.
The request was rate-limited. The response may include Retry-After and ErpError.responseHeaders with retry and quota information from the accounting system.
This operation is not supported by the connected accounting system.
GET /accounting/api/v1/consents/{consentId}/salesinvoices/{salesInvoiceId}/payments HTTP/1.1
Host: apione.zwapgrid.com
x-api-key: YOUR_API_KEY
x-correlation-id: 123e4567-e89b-12d3-a456-426614174000
Accept: */*
{
"meta": {
"totalResources": 10,
"totalPages": 1,
"currentPage": 1
},
"data": [
{
"id": "59",
"paymentId": "59",
"reference": "PAY-59",
"receivedDate": "2022-06-01",
"paidDate": "2022-06-01",
"bookedIndicator": true,
"bookedDate": "2022-06-02",
"accountingAccount": {
"id": "5233",
"accountingAccountId": "5233",
"reference": "5233",
"standardAccountingAccountId": null,
"name": "Bank account",
"active": null,
"postable": null,
"description": {
"languageId": "ENG",
"text": "Main bank"
},
"descriptions": [
{
"languageId": "ENG",
"text": "Main bank"
}
],
"accountingAccountTypeCode": null,
"financialDimensions": []
},
"status": null,
"billingReferences": [
{
"invoiceDocumentReferences": [
{
"id": "INV-001",
"schemeId": "invoiceId"
}
]
}
],
"documentCurrencyCode": {
"currency": "DKK",
"currencyId": "DKK",
"currencyRate": 1
},
"amount": 500,
"creditAmount": {
"amount": 500,
"currencyId": "DKK"
},
"debitAmount": {
"amount": 0,
"currencyId": "DKK"
}
}
]
}Creates a new payment for the specified sales invoice.
System support
Fortnox
✅ Supported
Bjorn Lunden
✅ Supported
Spiris
✅ Supported
Tripletex
📞 Not supported / contact us
Visma e-conomic
📞 Not supported / contact us
Billy
✅ Supported
Visma Dinero
📞 Not supported / contact us
![]()
Procountor
📞 Not supported / contact us
Visma Netvisor
📞 Not supported / contact us
Microsoft Business Central
📞 Not supported / contact us
Exact Online
📞 Not supported / contact us
![]()
QuickBooks
📞 Not supported / contact us
Xero
✅ Supported
Bokio
📞 Not supported / contact us
Kleer
📞 Not supported / contact us
DATEV
📞 Not supported / contact us
eAccounting (Norway)
✅ Supported
PowerOffice Go
📞 Not supported / contact us
Use the API key to access all API endpoints.
Identifier of the consent representing the connection to the accounting system.
Identifier of the sales invoice.
Unique identifier used to correlate and trace this request.
Represents input data for creating a sales invoice payment.
Unique identifier for the payment.
Reference identifier for the payment.
Date when the payment was received.
Date when the payment was made.
Indicates whether the payment is booked.
Date when the payment was booked.
Monetary amount for the payment.
Deprecated. Use ZG.AccountingService.AccountingModels.Dtos.Input.CreateInvoicePaymentDtoBase.Reference instead. External payment identifier. (Deprecated: Use Reference instead)
The sales invoice payment was created. Response includes a Location header with the URL of the created resource.
The request body or parameters are invalid.
Not authorized to access this resource.
The request was rate-limited. The response may include Retry-After and ErpError.responseHeaders with retry and quota information from the accounting system.
This operation is not supported by the connected accounting system.
POST /accounting/api/v1/consents/{consentId}/salesinvoices/{salesInvoiceId}/payments HTTP/1.1
Host: apione.zwapgrid.com
x-api-key: YOUR_API_KEY
x-correlation-id: 123e4567-e89b-12d3-a456-426614174000
Content-Type: application/json
Accept: */*
Content-Length: 616
{
"id": null,
"reference": null,
"receivedDate": null,
"paidDate": null,
"bookedIndicator": null,
"bookedDate": null,
"accountingAccount": {
"id": null,
"reference": null,
"standardAccountingAccountId": null,
"name": null,
"active": null,
"postable": null,
"descriptions": [
{
"text": null,
"languageId": null
}
],
"accountingAccountTypeCode": {
"code": null,
"listId": null
},
"financialDimensions": [
{
"id": null,
"reference": null,
"type": null,
"name": null,
"description": null,
"isActive": null
}
]
},
"documentCurrencyCode": {
"currencyId": null,
"currencyRate": null
},
"amount": null,
"creditAmount": {
"amount": 1,
"currencyId": null
},
"debitAmount": {
"amount": 1,
"currencyId": null
}
}No content
Last updated
Was this helpful?
